--- title: "Add role (Server, Service) application target" slug: "management-subaccount-attachentitytorole01" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-attachentitytorole01" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Add role (Server, Service) application target Available in Classic and VPC Add an application target assigned to a server or service role. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/roles/{roleNo}/entities | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `roleNo` | String | Required | Role ID - See [Get role list](/docs/en/management-subaccount-getroles). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `roleEntityList` | Array | Required | Role application target list: [roleEntityList](/docs/en/management-subaccount-attachentitytorole01#roleEntityList) | #### `roleEntityList` The following describes `roleEntityList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | Optional | Role type - `Server` \| `Service` | | `id` | String | Optional | Role application target ID or name - Server role: Server instance ID - Service role: `Datafence` \| `DataFlow` \| `ExternalAccess` \| `DataStream` \| `ConainerRegistry` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://subaccount.apigw.ntruss.com/api/v1/roles/5befa3a0-****-****-****-246e96591a38/entities' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "roleEntityList": [ { "type": "Server", "id": "100****57" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API call success status - `true` \| `false` - `true`: Succeeded - `false`: Failed | | `id` | String | - | Role application target ID or name | | `name` | String | - | Action type | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account response status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "success": true, "id": "100****57", "name": "addEntity" } ] ```